Bug 293418 - Crashes when scanning for faces
Summary: Crashes when scanning for faces
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.1.1
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-06 06:46 UTC by Ramon
Modified: 2019-12-23 06:22 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments
New crash information added by DrKonqi (28.97 KB, text/plain)
2012-02-08 17:13 UTC, John Stumbles
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ramon 2012-02-06 06:46:22 UTC
Application: digikam (2.1.1)
KDE Platform Version: 4.7.4 (4.7.4)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-15-generic x86_64
Distribution: Ubuntu 11.10

-- Information about the crash:
Everytime I try to scan my photo directory to find all the faces, Digikam crashes. I have tried with different accuracy settings (80,91, 100) and they all crash.The amount of work it manages to do before crashing varies. I was not doing anything else in the computer, but Spideroak and Dropbox are running in the background. The pictures are stocked in a folder within Dropbox. I'm running Ubuntu 11.10 in a 64bit HP portable computer. Packages are updated daily

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S
[Current thread is 1 (Thread 0x7f030874aa20 (LWP 11402))]

Thread 16 (Thread 0x7f02e49e1700 (LWP 11404)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f03030b91ab in wait (time=18446744073709551615, this=0x1bda4f0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1bda398, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000005c2e20 in Digikam::ScanController::run (this=0x1bda010) at /build/buildd/digikam-2.1.1/core/digikam/database/scancontroller.cpp:647
#4  0x00007f03030b8d05 in QThreadPrivate::start (arg=0x1bda010) at thread/qthread_unix.cpp:331
#5  0x00007f02fddf6efc in start_thread (arg=0x7f02e49e1700) at pthread_create.c:304
#6  0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f02e41e0700 (LWP 11405)):
#0  0x00007f02fbed302a in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f02fbed3dfd in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f02fbed4429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f03031caf3e in QEventDispatcherGlib::processEvents (this=0x1bf3930, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f030319ecf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f030319eef7 in QEventLoop::exec (this=0x7f02e41dfb30, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f03030b627f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f0303181cbf in QInotifyFileSystemWatcherEngine::run (this=0x1bf2fe0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f03030b8d05 in QThreadPrivate::start (arg=0x1bf2fe0) at thread/qthread_unix.cpp:331
#9  0x00007f02fddf6efc in start_thread (arg=0x7f02e41e0700) at pthread_create.c:304
#10 0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f02e39df700 (LWP 11407)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f03030b91ab in wait (time=18446744073709551615, this=0x1e0bbf0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1e86378, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f0306002737 in Digikam::ParkingThread::run (this=0x1e86360) at /build/buildd/digikam-2.1.1/core/libs/threads/threadmanager.cpp:119
#4  0x00007f03030b8d05 in QThreadPrivate::start (arg=0x1e86360) at thread/qthread_unix.cpp:331
#5  0x00007f02fddf6efc in start_thread (arg=0x7f02e39df700) at pthread_create.c:304
#6  0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f02c97f2700 (LWP 11428)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f02c97f1820 in ?? ()
#2  0x00007fff3d5e67e7 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 12 (Thread 0x7f02c8ff1700 (LWP 11429)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f02c8ff0820 in ?? ()
#2  0x00007fff3d5e67e7 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 11 (Thread 0x7f02c60ff700 (LWP 11435)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f02c60fe820 in ?? ()
#2  0x00007fff3d5e67e7 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 10 (Thread 0x7f02d1387700 (LWP 11450)):
#0  0x00007f02fe7773b6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f02fe775ede in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f02fddf6efc in start_thread (arg=0x7f02d1387700) at pthread_create.c:304
#3  0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f02b3fff700 (LWP 11455)):
#0  0x00007f02fe7773b6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f02fe775ede in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f02fddf6efc in start_thread (arg=0x7f02b3fff700) at pthread_create.c:304
#3  0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f02b37fe700 (LWP 11457)):
#0  0x00007f02fe7773b6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f02fe775ede in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f02fddf6efc in start_thread (arg=0x7f02b37fe700) at pthread_create.c:304
#3  0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f02c6900700 (LWP 11458)):
[KCrash Handler]
#6  ref (this=0x64496d6f74737543) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#7  QString (other=..., this=0x7f02bd2b7e10) at /usr/include/qt4/QtCore/qstring.h:729
#8  node_create (avalue=..., akey=..., aupdate=0x7f02c68fde80, adt=0x7f02bcc42400, this=0x406d508) at /usr/include/qt4/QtCore/qmap.h:453
#9  QMap<QString, QVariant>::detach_helper (this=0x406d508) at /usr/include/qt4/QtCore/qmap.h:760
#10 0x00007f0305e09d2c in detach (this=0x406d508) at /usr/include/qt4/QtCore/qmap.h:202
#11 insert (avalue=..., akey=..., this=0x406d508) at /usr/include/qt4/QtCore/qmap.h:559
#12 Digikam::DImg::setAttribute (this=<optimized out>, key=..., value=...) at /build/buildd/digikam-2.1.1/core/libs/dimg/dimg.cpp:1005
#13 0x00007f0305e2dc81 in Digikam::JPEGLoader::load (this=0x7f02c68fe9a0, filePath=<optimized out>, observer=0x406d140) at /build/buildd/digikam-2.1.1/core/libs/dimg/loaders/jpegloader.cpp:612
#14 0x00007f0305e0ade6 in Digikam::DImg::load (this=0x406d320, filePath=..., loadFlagsInt=63, observer=0x406d140, rawDecodingSettings=...) at /build/buildd/digikam-2.1.1/core/libs/dimg/dimg.cpp:426
#15 0x00007f0305e0c307 in Digikam::DImg::load (this=0x406d320, filePath=..., observer=0x406d140, rawDecodingSettings=...) at /build/buildd/digikam-2.1.1/core/libs/dimg/dimg.cpp:372
#16 0x00007f0305fd6f44 in Digikam::PreviewLoadingTask::execute (this=0x406d130) at /build/buildd/digikam-2.1.1/core/libs/threadimageio/previewtask.cpp:294
#17 0x00007f0305fbf7e6 in Digikam::LoadSaveThread::run (this=0x40df9c0) at /build/buildd/digikam-2.1.1/core/libs/threadimageio/loadsavethread.cpp:118
#18 0x00007f0306003e3e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x40dfaf0) at /build/buildd/digikam-2.1.1/core/libs/threads/dynamicthread.cpp:328
#19 0x00007f03030ad795 in QThreadPoolThread::run (this=0x40e2300) at concurrent/qthreadpool.cpp:106
#20 0x00007f03030b8d05 in QThreadPrivate::start (arg=0x40e2300) at thread/qthread_unix.cpp:331
#21 0x00007f02fddf6efc in start_thread (arg=0x7f02c6900700) at pthread_create.c:304
#22 0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#23 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f02c48fb700 (LWP 11460)):
#0  0x00007f030836b8c2 in QSqlResult::QSqlResult (this=0x7f02dcd26b60, db=0x7f02deb5b3e0) at kernel/qsqlresult.cpp:250
#1  0x00007f030836f14d in QSqlCachedResult::QSqlCachedResult (this=0x7f02dcd26b60, db=<optimized out>) at kernel/qsqlcachedresult.cpp:145
#2  0x00007f02e2fd892e in QSQLiteResult::QSQLiteResult (this=0x7f02dcd26b60, db=0x7f02deb5b3e0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:285
#3  0x00007f02e2fd8c19 in QSQLiteDriver::createResult (this=0x7f02deb5b3e0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:560
#4  0x00007f030835fbac in qInit (q=0x7f02c48f9b88, query=..., db=<optimized out>) at kernel/qsqlquery.cpp:267
#5  0x00007f030835fc72 in QSqlQuery::QSqlQuery (this=0x7f02c48f9b88, db=...) at kernel/qsqlquery.cpp:297
#6  0x00007f0305fad51c in Digikam::SqlQuery::SqlQuery (this=0x7f02c48f9b80, db=<optimized out>) at /build/buildd/digikam-2.1.1/core/libs/database/sqlquery.cpp:35
#7  0x00007f0305f95d92 in Digikam::DatabaseCoreBackend::getQuery (this=<optimized out>) at /build/buildd/digikam-2.1.1/core/libs/database/databasecorebackend.cpp:1504
#8  0x00007f0305f97391 in Digikam::DatabaseCoreBackend::prepareQuery (this=0x1dbde40, sql=...) at /build/buildd/digikam-2.1.1/core/libs/database/databasecorebackend.cpp:1457
#9  0x00007f0305f977d1 in Digikam::DatabaseCoreBackend::execQuery (this=0x1dbde40, sql=<optimized out>, boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-2.1.1/core/libs/database/databasecorebackend.cpp:1021
#10 0x00007f0305f99655 in Digikam::DatabaseCoreBackend::execSql (this=0x1dbde40, sql=<optimized out>, boundValue1=<optimized out>, boundValue2=<optimized out>, boundValue3=<optimized out>, boundValue4=<optimized out>, values=0x0, lastInsertId=0x7f02c48f9c80) at /build/buildd/digikam-2.1.1/core/libs/database/databasecorebackend.cpp:921
#11 0x00007f0305fa4eb3 in Digikam::ThumbnailDB::insertThumbnail (this=0x1c36320, info=..., lastInsertId=0x7f02c48f9d60) at /build/buildd/digikam-2.1.1/core/libs/database/thumbnaildb.cpp:262
#12 0x00007f0305fda0c8 in Digikam::ThumbnailCreator::storeInDatabase (this=<optimized out>, info=..., image=<optimized out>) at /build/buildd/digikam-2.1.1/core/libs/threadimageio/thumbnailcreator.cpp:753
#13 0x00007f0305fdcee3 in Digikam::ThumbnailCreator::store (this=0x40e1430, path=..., i=..., rect=..., isFace=true) at /build/buildd/digikam-2.1.1/core/libs/threadimageio/thumbnailcreator.cpp:389
#14 0x000000000067dd27 in Digikam::FaceIface::storeThumbnails (this=<optimized out>, thread=0x40e1020, filePath=..., databaseFaces=<optimized out>, image=...) at /build/buildd/digikam-2.1.1/core/utilities/facedetection/faceiface.cpp:240
#15 0x00000000006879a0 in Digikam::DatabaseWriter::process (this=0x40e0d80, package=...) at /build/buildd/digikam-2.1.1/core/utilities/facedetection/facepipeline.cpp:569
#16 0x0000000000687d2a in Digikam::DatabaseWriter::qt_metacall (this=0x40e0d80, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7f02bd29e910) at /build/buildd/digikam-2.1.1/obj-x86_64-linux-gnu/core/digikam/facepipeline_p.moc:446
#17 0x00007f03031b6a5e in QObject::event (this=0x40e0d80, e=<optimized out>) at kernel/qobject.cpp:1217
#18 0x00007f0303ba0474 in notify_helper (e=0x7f02bcc12b70, receiver=0x40e0d80, this=0x19713f0) at kernel/qapplication.cpp:4486
#19 QApplicationPrivate::notify_helper (this=0x19713f0, receiver=0x40e0d80, e=0x7f02bcc12b70) at kernel/qapplication.cpp:4458
#20 0x00007f0303ba52e1 in QApplication::notify (this=0x7fff3d541090, receiver=0x40e0d80, e=0x7f02bcc12b70) at kernel/qapplication.cpp:4365
#21 0x00007f03048b5466 in KApplication::notify (this=0x7fff3d541090, receiver=0x40e0d80, event=0x7f02bcc12b70) at ../../kdeui/kernel/kapplication.cpp:311
#22 0x00007f030319fafc in QCoreApplication::notifyInternal (this=0x7fff3d541090, receiver=0x40e0d80, event=0x7f02bcc12b70) at kernel/qcoreapplication.cpp:787
#23 0x00007f03031a351f in sendEvent (event=0x7f02bcc12b70, receiver=0x40e0d80) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#24 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x4084030) at kernel/qcoreapplication.cpp:1428
#25 0x00007f03031caa73 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#26 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#27 0x00007f02fbed3a5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007f02fbed4258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f02fbed4429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007f03031caed6 in QEventDispatcherGlib::processEvents (this=0x34ea780, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#31 0x00007f030319ecf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#32 0x00007f030319eef7 in QEventLoop::exec (this=0x7f02c48fab00, flags=...) at kernel/qeventloop.cpp:201
#33 0x00007f0306001e41 in Digikam::WorkerObjectRunnable::run (this=0x1c1f8f0) at /build/buildd/digikam-2.1.1/core/libs/threads/threadmanager.cpp:196
#34 0x00007f03030ad795 in QThreadPoolThread::run (this=0x40a4710) at concurrent/qthreadpool.cpp:106
#35 0x00007f03030b8d05 in QThreadPrivate::start (arg=0x40a4710) at thread/qthread_unix.cpp:331
#36 0x00007f02fddf6efc in start_thread (arg=0x7f02c48fb700) at pthread_create.c:304
#37 0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#38 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f02c50fc700 (LWP 11462)):
#0  0x00007f02fe7773b6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f02fe775ede in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f02fddf6efc in start_thread (arg=0x7f02c50fc700) at pthread_create.c:304
#3  0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f02d61b2700 (LWP 11472)):
[KCrash Handler]
#6  0x00007f03022b03a5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f03022b3b0b in __GI_abort () at abort.c:92
#8  0x00007f0302b6ed7d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#9  0x00007f0302b6cf26 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#10 0x00007f0302b6cf53 in std::terminate() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#11 0x00007f0302b6d96f in __cxa_pure_virtual () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#12 0x00007f0305fcaee3 in Digikam::LoadingCache::notifyNewLoadingProcess (this=0x1dbb230, process=0x4079018, description=...) at /build/buildd/digikam-2.1.1/core/libs/threadimageio/loadingcache.cpp:247
#13 0x00007f0305fd61c9 in Digikam::PreviewLoadingTask::execute (this=0x4078e50) at /build/buildd/digikam-2.1.1/core/libs/threadimageio/previewtask.cpp:172
#14 0x00007f0305fbf7e6 in Digikam::LoadSaveThread::run (this=0x40df9c0) at /build/buildd/digikam-2.1.1/core/libs/threadimageio/loadsavethread.cpp:118
#15 0x00007f0306003e3e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x40dfaf0) at /build/buildd/digikam-2.1.1/core/libs/threads/dynamicthread.cpp:328
#16 0x00007f03030ad795 in QThreadPoolThread::run (this=0x3b10b60) at concurrent/qthreadpool.cpp:106
#17 0x00007f03030b8d05 in QThreadPrivate::start (arg=0x3b10b60) at thread/qthread_unix.cpp:331
#18 0x00007f02fddf6efc in start_thread (arg=0x7f02d61b2700) at pthread_create.c:304
#19 0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f02c87f0700 (LWP 11476)):
#0  0x00007f02fe7773b6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f02fe775ede in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f02fddf6efc in start_thread (arg=0x7f02c87f0700) at pthread_create.c:304
#3  0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f02c58fe700 (LWP 11479)):
#0  0x00007f02fe7773b6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f02fe775ede in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f02fddf6efc in start_thread (arg=0x7f02c58fe700) at pthread_create.c:304
#3  0x00007f030235b89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f030874aa20 (LWP 11402)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f03030b7d13 in QMutexPrivate::wait (this=0x1dbf650, timeout=-1) at thread/qmutex_unix.cpp:84
#2  0x00007f03030b4365 in QMutex::lock (this=0x1dbac60) at thread/qmutex.cpp:204
#3  0x00007f0305fcb4f2 in Digikam::ClassicLoadingCacheFileWatch::slotUpdateDirWatch (this=0x1c1ef00) at /build/buildd/digikam-2.1.1/core/libs/threadimageio/loadingcache.cpp:459
#4  0x00007f0305fcd4fc in Digikam::ClassicLoadingCacheFileWatch::qt_metacall (this=0x1c1ef00, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x4f3f120) at /build/buildd/digikam-2.1.1/obj-x86_64-linux-gnu/core/digikam/loadingcache.moc:82
#5  0x00000000005c1a40 in Digikam::ScanControllerLoadingCacheFileWatch::qt_metacall (this=0x1c1ef00, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x4f3f120) at /build/buildd/digikam-2.1.1/obj-x86_64-linux-gnu/core/digikam/scancontroller.moc:67
#6  0x00007f03031b6a5e in QObject::event (this=0x1c1ef00, e=<optimized out>) at kernel/qobject.cpp:1217
#7  0x00007f0303ba0474 in notify_helper (e=0x4227620, receiver=0x1c1ef00, this=0x19713f0) at kernel/qapplication.cpp:4486
#8  QApplicationPrivate::notify_helper (this=0x19713f0, receiver=0x1c1ef00, e=0x4227620) at kernel/qapplication.cpp:4458
#9  0x00007f0303ba52e1 in QApplication::notify (this=0x7fff3d541090, receiver=0x1c1ef00, e=0x4227620) at kernel/qapplication.cpp:4365
#10 0x00007f03048b5466 in KApplication::notify (this=0x7fff3d541090, receiver=0x1c1ef00, event=0x4227620) at ../../kdeui/kernel/kapplication.cpp:311
#11 0x00007f030319fafc in QCoreApplication::notifyInternal (this=0x7fff3d541090, receiver=0x1c1ef00, event=0x4227620) at kernel/qcoreapplication.cpp:787
#12 0x00007f03031a351f in sendEvent (event=0x4227620, receiver=0x1c1ef00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#13 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1914bd0) at kernel/qcoreapplication.cpp:1428
#14 0x00007f03031caa73 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#15 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#16 0x00007f02fbed3a5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007f02fbed4258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f02fbed4429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f03031caed6 in QEventDispatcherGlib::processEvents (this=0x1916270, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#20 0x00007f0303c4810e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007f030319ecf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#22 0x00007f030319eef7 in QEventLoop::exec (this=0x7fff3d540f10, flags=...) at kernel/qeventloop.cpp:201
#23 0x00007f03031a3789 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#24 0x00000000004893fd in main (argc=5, argv=<optimized out>) at /build/buildd/digikam-2.1.1/core/digikam/main/main.cpp:232

Reported using DrKonqi
Comment 1 caulier.gilles 2012-02-06 07:50:08 UTC
Please try with last 2.5.0 where some code have been tuned in Face detection interface...

Gilles Caulier
Comment 2 John Stumbles 2012-02-08 17:13:25 UTC
Created attachment 68626 [details]
New crash information added by DrKonqi

digikam (2.5.0) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

scanning for faces in all abums (total ~300Gb)
not using all cores
dk 2.5.0

-- Backtrace (Reduced):
#14 0xb6b7dd0f in Digikam::LoadingCache::notifyNewLoadingProcess (this=0x92448a8, process=0x95ba064, description=...) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadingcache.cpp:247
#15 0xb6b89bd2 in Digikam::PreviewLoadingTask::execute (this=0x95b9f00) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/previewtask.cpp:172
#16 0xb6b71b38 in Digikam::LoadSaveThread::run (this=0xaab36f0) at /build/buildd/digikam-2.5.0/core/libs/threadimageio/loadsavethread.cpp:118
#17 0xb6bbb0de in Digikam::DynamicThread::DynamicThreadPriv::run (this=0xaab3790) at /build/buildd/digikam-2.5.0/core/libs/threads/dynamicthread.cpp:328
#18 0xb4c51651 in QThreadPoolThread::run (this=0x9705f48) at concurrent/qthreadpool.cpp:106
Comment 3 caulier.gilles 2012-02-08 19:05:42 UTC
It do not crash in face detection management, but preview extraction code. It's completly different...

Gilles Caulier
Comment 4 John Stumbles 2012-02-08 20:25:18 UTC
I don't want to be pedantic but from my point of view as a [l]user what digikam was doing at the time it crashed was detecting faces. I'm sure the code was doing 1001 different things as part of this process and if you say that the crash occurred in one of these different things such as preview extraction I am sure you are correct because I do not understand the code and I think you do! :-). 

(I notice that when dk is doing its scan for faces the 'Scanning Faces' window shows tiny thumbnails of the pictures it is scanning - or a red circle with a stroke through it for those it cannot extract previews for, which it reports on the console.)

From my point of view I want to do what I can to help get the bug fixed by submitting useful information. Please tell me: should I be reporting this as a different bug, not saying that it is an instance of this bug 293418 'Crashes when scanning for faces'? Is this a new bug or should I look for existing bugs about extracting previews?
Comment 5 Marcel Wiesweg 2012-02-19 15:24:48 UTC
"Pure virtual" usually means dangling pointer in this situation. Duplicate of 279996, still unsolved because not reproducible by developers.

*** This bug has been marked as a duplicate of bug 279996 ***
Comment 6 caulier.gilles 2019-12-23 06:22:30 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier